import java.sql.*;
public class BatchProcessWithPrepareStatement {		
	public static void main(String[] args) {
		   String driver = "com.mysql.jdbc.Driver";  
		   String url = "jdbc:mysql://localhost:3306/";
		   String dbname = "roseindia_jdbc_tutorials";

		   String dbuser = "root";
		   String dbpassword = "root";
		   
		   Connection conn = null;
		   PreparedStatement stmt = null;
		   try{
			     Class.forName(driver);
			     conn = DriverManager.getConnection(url+dbname,dbuser,dbpassword);
			     String insertsql = "INSERT INTO user(user_id, user_name) " +
			                   "VALUES(?, ?)";
                 stmt = conn.prepareStatement(insertsql);
                 conn.setAutoCommit(false);
                 stmt.setInt( 1, 50);
			     stmt.setString( 2, "Deepak" );
			     stmt.addBatch();
			     stmt.setInt( 1, 51);
			     stmt.setString( 2, "Raj" );			     
			     stmt.addBatch();
    		    		     
			     int[] count = stmt.executeBatch();	
			     System.out.println("Number of effected rows :" + count.length);
			        
			     conn.commit();			     
			     stmt.close();
			     conn.close();
			   }catch(SQLException se){
			      se.printStackTrace();
			   }catch(Exception e){
			      e.printStackTrace();
			   }
			   finally{
			      try{
			         if(stmt!=null)
			            stmt.close();
			      }
			      catch(SQLException se2){
			      }
			      try{
			         if(conn!=null)
			            conn.close();
			      }catch(SQLException se){
			         se.printStackTrace();
			      }
			   }			   
			}
	}